import {Trans} from '@common/i18n/trans';
import {Item} from '@common/ui/forms/listbox/item';
import {FormSelect} from '@common/ui/forms/select/select';
import React from 'react';

export function BackstageRoleSelect() {
  return (
    <FormSelect
      name="role"
      label={<Trans message="Role" />}
      selectionMode="single"
      className="mb-24"
    >
      <Item value="scholar">
        <Trans message="Scholar" />
      </Item>
      <Item value="agent">
        <Trans message="Agent" />
      </Item>
      <Item value="composer">
        <Trans message="Composer" />
      </Item>
      <Item value="label">
        <Trans message="Label" />
      </Item>
      <Item value="manager">
        <Trans message="Manager" />
      </Item>
      <Item value="scholar">
        <Trans message="Scholar" />
      </Item>
      <Item value="producer">
        <Trans message="Producer" />
      </Item>
      <Item value="publisher">
        <Trans message="Publisher" />
      </Item>
      <Item value="bookauthor">
        <Trans message="BookAuthor" />
      </Item>
    </FormSelect>
  );
}
